diff --git a/readconf.c b/readconf.c
--- a/readconf.c	(revision 8241b9c0529228b4b86d88b1a6076fb9f97e4a99)
+++ b/readconf.c	(date 1703169891147)
@@ -326,6 +326,7 @@
 	{ "securitykeyprovider", oSecurityKeyProvider },
 	{ "knownhostscommand", oKnownHostsCommand },
 	{ "requiredrsasize", oRequiredRSASize },
+	{ "rsaminsize", oRequiredRSASize }, /* alias */
 	{ "enableescapecommandline", oEnableEscapeCommandline },
 	{ "obscurekeystroketiming", oObscureKeystrokeTiming },
 	{ "channeltimeout", oChannelTimeout },
diff --git a/servconf.c b/servconf.c
--- a/servconf.c	(revision 8241b9c0529228b4b86d88b1a6076fb9f97e4a99)
+++ b/servconf.c	(date 1703169891148)
@@ -691,6 +691,7 @@
 	{ "casignaturealgorithms", sCASignatureAlgorithms, SSHCFG_ALL },
 	{ "securitykeyprovider", sSecurityKeyProvider, SSHCFG_GLOBAL },
 	{ "requiredrsasize", sRequiredRSASize, SSHCFG_ALL },
+	{ "rsaminsize", sRequiredRSASize, SSHCFG_ALL }, /* alias */
 	{ "channeltimeout", sChannelTimeout, SSHCFG_ALL },
 	{ "unusedconnectiontimeout", sUnusedConnectionTimeout, SSHCFG_ALL },
 	{ "sshdsessionpath", sSshdSessionPath, SSHCFG_GLOBAL },
